Subject: Re: randconfig build error with next-20141201, in drivers/usb/musb/tusb6010.c

From: Felipe Balbi <[email-masked]>
Date: Tue, 2 Dec 2014 13:18:36 -0600

Hi,

On Tue, Dec 02, 2014 at 10:13:16AM -0800, Greg Kroah-Hartman wrote:
> On Mon, Dec 01, 2014 at 10:00:35AM -0700, Jim Davis wrote:
> > Building with the attached random configuration file,
> > 
> > drivers/built-in.o: In function `tusb_remove':
> > tusb6010.c:(.text+0x16a817): undefined reference to `usb_phy_generic_unregister'
> > drivers/built-in.o: In function `tusb_probe':
> > tusb6010.c:(.text+0x16b24e): undefined reference to `usb_phy_generic_register'
> > make: *** [vmlinux] Error 1
> 
> This looks like a phy issue, Kishon and Heikki?

Tony Lindgren sent a patch adding a few dependencies to MUSB's Kconfig.
This bug has been there forever though, so I'll merge Tony's fix during
3.19-rc1.

No clue how come I never got this as I always run 300 randconfigs on my
pull requests before sending them to you.

-- 
balbi